com.dlsc.flexgantt.model

## Class AbstractPropertiesOwner

- java.lang.Object
- - com.dlsc.flexgantt.model.AbstractPropertiesOwner

- All Implemented Interfaces:
    IPropertiesOwner
  Direct Known Subclasses:
    DefaultTimelineObject

      public abstract class AbstractPropertiesOwner
      extends Object
      implements IPropertiesOwner

  An abstract implementation of an object that can store property values.
  Since:
    1.0
  Version:
    $Revision: 1.10 $
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractPropertiesOwner()` Constructs a new properties owner.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(String name)` Returns the value for the given property.
    `void` | `setProperty(String name, Object value)` Sets a value for the given property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPropertiesOwner

          protected AbstractPropertiesOwner()

      Constructs a new properties owner.
      Since:
        1.0

  - ### Method Detail

    - #### getProperty

          public Object getProperty(String name)

      Description copied from interface: `IPropertiesOwner`
      Returns the value for the given property. The result might be NULL if no value has been specified, yet.
      Specified by:
        `getProperty` in interface `IPropertiesOwner`
      Parameters:
        `name` - the property name
      Returns:
        the property value

    - #### setProperty

          public void setProperty(String name,
                                  Object value)

      Description copied from interface: `IPropertiesOwner`
      Sets a value for the given property.
      Specified by:
        `setProperty` in interface `IPropertiesOwner`
      Parameters:
        `name` - the property name
        `value` - the property value

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.